RtPluginManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.RtPluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.RtPluginManager

    public class RtPluginManager

extends PluginManager

Field Summary

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`RtPluginManager()`
`RtPluginManager(java.util.Properties props)`

Method Summary
`java.lang.String` | `getName()`
`java.util.Collection` | `getTimes(java.lang.String name, ConfigResponse config, java.lang.Integer svcID, java.util.Properties prop, boolean eu, boolean collectIPs)`
`boolean` | `supportsAny(java.lang.String name)`
`boolean` | `supportsEndUser(java.lang.String name)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtPluginManager

    public RtPluginManager()

### RtPluginManager

    public RtPluginManager(java.util.Properties props)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### supportsEndUser

    public boolean supportsEndUser(java.lang.String name)
                            throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### supportsAny

    public boolean supportsAny(java.lang.String name)

### getTimes

    public java.util.Collection getTimes(java.lang.String name,
                                         ConfigResponse config,
                                         java.lang.Integer svcID,
                                         java.util.Properties prop,
                                         boolean eu,
                                         boolean collectIPs)
                                  throws PluginNotFoundException,
                                         java.io.IOException

  Throws:
    `PluginNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.